CREATE TABLE building(full_id VARCHAR, osm_id VARCHAR, osm_type VARCHAR, building VARCHAR, geom GEOMETRY);
CREATE TABLE cities(id BIGINT, "name" VARCHAR, geom GEOMETRY);
CREATE TABLE cities_population("name" VARCHAR, pop INTEGER);
CREATE TABLE highway(full_id VARCHAR, osm_id VARCHAR, osm_type VARCHAR, highway VARCHAR, geom GEOMETRY);
CREATE TABLE "table-test"(geom GEOMETRY);
CREATE TABLE table_no_geom(id INTEGER, "text" VARCHAR);
CREATE TABLE table_with_column_space(id BIGINT, "The Name" VARCHAR, geom GEOMETRY);
CREATE TABLE table_with_float(id BIGINT, test_float FLOAT, geom GEOMETRY);
CREATE TABLE table_with_primary_key(id INTEGER PRIMARY KEY, j VARCHAR, geom GEOMETRY);
CREATE TABLE test_multi(id BIGINT, num INTEGER, "text" VARCHAR, "float" DOUBLE, "yes" BOOLEAN, geom GEOMETRY);
CREATE VIEW marseille AS SELECT 'toto' AS toto, * FROM cities WHERE ("name" = 'Marseille');

INSERT INTO building (full_id, osm_id, osm_type, building, geom)
VALUES
  ('w67766893', 67766893, 'way', 'yes', ST_GeomFromText('POLYGON((-0.7545464 48.0818159, -0.7542328 48.0817642, -0.754288 48.0816148, -0.7546015 48.0816664, -0.7545464 48.0818159))')),
  ('w67771785', 67771785, 'way', 'yes', ST_GeomFromText('POLYGON((-0.7547779 48.083064, -0.754726 48.0830792, -0.7537991 48.0827683, -0.753795 48.0827331, -0.7539679 48.0825145, -0.7549517 48.0828307, -0.7547779 48.083064))')),
  ('w67784431', 67784431, 'way', 'yes', ST_GeomFromText('POLYGON((-0.7554119 48.0821301, -0.7545459 48.0818469, -0.7547142 48.0816173, -0.7555801 48.0819006, -0.7554119 48.0821301))')),
  ('w67786682', 67786682, 'way', 'yes', ST_GeomFromText('POLYGON((-0.755704 48.0822484, -0.75545 48.0821142, -0.7555936 48.0819929, -0.7558476 48.0821271, -0.755704 48.0822484))'));

INSERT INTO cities (id, name, geom)
VALUES
  (2995469, 'Marseille', ST_GeomFromText('POINT(5.38107 43.29695)')),
  (3128760, 'Barcelona', ST_GeomFromText('POINT(2.15899 41.38879)')),
  (3165524, 'Turin', ST_GeomFromText('POINT(7.68682 45.07049)'));

INSERT INTO cities_population (name, pop)
VALUES
  ('Marseille', 873076),
  ('Torino', 841600),
  ('Barcelona', 1660122);

INSERT INTO highway (full_id, osm_id, osm_type, highway, geom)
VALUES
  ('w8100344', '8100344', 'way', 'residential', ST_GeomFromText('LINESTRING (-0.7562379 48.0830764, -0.7563431 48.0831225, -0.7576086 48.0837265, -0.7576867 48.0837896, -0.7579444 48.0841542, -0.757984 48.0842393, -0.7579893 48.0843231, -0.757957 48.0843773, -0.7578878 48.0844727)')),
  ('w329755966', '329755966', 'way', 'tertiary', ST_GeomFromText('LINESTRING(-0.7562379 48.0830764, -0.7563305 48.082979, -0.7565521 48.08275, -0.7566327 48.0826349)')),
  ('w891197907', '891197907', 'way', 'tertiary', ST_GeomFromText('LINESTRING(-0.7552332 48.0840226, -0.7558136 48.0834917, -0.7562379 48.0830764)')),
  ('w894730247', '894730247', 'way', 'service', ST_GeomFromText('LINESTRING(-0.756101 48.0835748, -0.756292 48.0833812)'));

INSERT INTO "table-test" (geom)
VALUES
  ('POINT (0 0)');

INSERT INTO table_with_column_space (id, "The Name", geom)
VALUES
  (1, 'payet', ST_GeomFromText('POINT(1 3)'));

INSERT INTO table_with_primary_key (id, j, geom)
VALUES
  (1001, 'value1', ST_GeomFromText('POINT(5 10)')),
  (1002, 'value2', ST_GeomFromText('POINT(42 4)')),
  (1003, 'value3', ST_GeomFromText('POINT(55 1)')),
  (1004, 'value4', ST_GeomFromText('POINT(-3 -20)'));

INSERT INTO test_multi (id, num, text, float, yes, geom)
VALUES
  (1, 24, 'zidane', 13.1, true, ST_GeomFromText('MULTIPOLYGON (((4.870292488163391 48.2501368093282, 4.977818426213749 48.2501368093282, 4.980980953803464 48.212217217004444, 4.95884326067545 48.18903029929545, 4.863967432983956 48.18903029929545, 4.870292488163391 48.2501368093282)), ((4.709003581087851 47.92056645488682, 4.78174171565133 47.96081938818096, 4.803879408779345 47.95446574553668, 4.85131732262509 47.9332812935482, 4.867129960573672 47.84845665590567, 4.78174171565133 47.84845665590567, 4.709003581087851 47.92056645488682)))'));

INSERT INTO table_with_float (id, test_float, geom)
VALUES
  (1, 2458.254, ST_GeomFromText('POINT(1 1)'))